#ifndef __factory__
#define __factory__

#include "unknown.inc"

class CFactory : CUnknown
{
	declare virtual QueryInterface(REFIID *riid, void *ppvObject),HRESULT;
	declare virtual CreateInstance(IUnknown *pUnkOuter, REFIID riid, void *ppvObject),HRESULT;
	declare virtual LockServer(BOOL fLock),HRESULT;
}

class UserAgentChangerFactory : CFactory
{
	declare virtual CreateInstance(IUnknown *pUnkOuter, REFIID riid, void *ppvObject),HRESULT;
}

class UserAgentCommandFactory : CFactory
{
	declare virtual CreateInstance(IUnknown *pUnkOuter, REFIID riid, void *ppvObject),HRESULT;
}

#ifndef UserAgentChanger_defined
extern _CLSID_UserAgentChanger as GUID;
extern _CLSID_UserAgentCommand as GUID;
#endif

#define SZ_CLSID_USERAGENTCHANGER "{1e5b45f6-4782-4f6c-b0c4-e73601d42e3e}"
#define SZ_CLSID_USERAGENTCOMMAND "{f25ccf2c-918a-4b43-b55f-d9119b32dfd3}"
#endif
